import AmazonSearchResult from './amazon-search-result';
export interface AllOriginsResponse {
    contents: string;
    status: {
        content_length: null;
        content_type: string;
        http_code: null;
        response_time: number;
        url: string;
    };
}
export interface SearchData {
    searchResults: Array<AmazonSearchResult>;
    pageNumber: number;
    getNextPage?: () => Promise<SearchData>;
}
export interface SearchConfig {
    page: number;
    includeSponsoredResults: boolean;
}
/**
 * @name searchAmazon
 * @description Scrapes the first page of Amazon search results
 * @public
 * @param {string} query - What you'd type in to the Amazon search bar
 * @param {boolean=} includeSponsoredResults - Filters sponsored results by default
 * @returns {Promise<Array.<AmazonSearchResult>>}
 */
declare function searchAmazon(query: string, config?: Partial<SearchConfig>): Promise<SearchData>;
export default searchAmazon;
//# sourceMappingURL=search.d.ts.map